blob: b1b8eb91aa669f03151a8767d6d367907e27b745 [file] [log] [blame]
<?xml version="1.0" encoding="UTF-8"?>
<issues format="6" by="lint 8.4.0-alpha12" type="baseline" client="gradle" dependencies="false" name="AGP (8.4.0-alpha12)" variant="all" version="8.4.0-alpha12">
<issue
id="ClassVerificationFailure"
message="This call references a method added in API level 26; however, the containing class androidx.navigation.testapp.AndroidFragment is reachable from earlier API levels and will fail run-time class verification."
errorLine1=" notificationManager.createNotificationChannel("
errorLine2=" ~~~~~~~~~~~~~~~~~~~~~~~~~">
<location
file="src/main/java/androidx/navigation/testapp/AndroidFragment.kt"/>
</issue>
<issue
id="ClassVerificationFailure"
message="This call references a method added in API level 26; however, the containing class androidx.navigation.testapp.AndroidFragment is reachable from earlier API levels and will fail run-time class verification."
errorLine1=" NotificationChannel("
errorLine2=" ^">
<location
file="src/main/java/androidx/navigation/testapp/AndroidFragment.kt"/>
</issue>
<issue
id="ObsoleteSdkInt"
message="Unnecessary; SDK_INT is always >= 21"
errorLine1=" if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP) {"
errorLine2=" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~">
<location
file="src/main/java/androidx/navigation/testapp/HelpActivity.kt"/>
</issue>
</issues>